package main

import (
	"net/http"

	"git.tavo.one/tavo/axiom/config"
	"git.tavo.one/tavo/axiom/handlers"
	"git.tavo.one/tavo/axiom/middleware"
)

func routes(handler *handlers.Handler) *http.ServeMux {
	router := http.NewServeMux()

	protectedStack := middleware.Stack(
		config.AuthCheck,
	)

	router.HandleFunc(
		"GET /",
		handler.SampleIndex,
	)

	router.HandleFunc(
		"GET /login",
		handler.SampleLoginPage,
	)

	router.Handle(
		"POST /login",
		middleware.With(protectedStack, handler.SampleLoginForm),
	)

	return router
}
